<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'company',

    /*
     * Modules.
     */
    'modules'   => ['companies', 'offices', 'divisions', 'departments', 'benefits', 'subdivisions'],

    'companies'       => [
        'model' => [
            'model'                 => \Bixo\Company\Models\Companies::class,
            'table'                 => 'companies',
            'presenter'             => \Bixo\Company\Repositories\Presenter\CompaniesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'website_url',  'active_employees',  'industry',  'contact_email',  'contact_address',  'contact_phone',  'currency',  'work_hour_start',  'work_hour_end',  'start_date_leave_cycle',  'ext_dependants',  'spon_dependants',  'logo',  'paid_leave_year',  'sick_leave_year',  'maternity_leave_year',  'paternity_leave_year',  'work_week_start',  'work_week_end',  'carried_forward',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/companies',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Company',
            'module'    => 'Companies',
        ],

    ],
    'offices'       => [
        'model' => [
            'model'                 => \Bixo\Company\Models\Offices::class,
            'table'                 => 'offices',
            'presenter'             => \Bixo\Company\Repositories\Presenter\OfficesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'name',  'description',  'address',  'country_id',  'manager_Id',  'user_type',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/offices',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Company',
            'module'    => 'Offices',
        ],

    ],
    'divisions'       => [
        'model' => [
            'model'                 => \Bixo\Company\Models\Divisions::class,
            'table'                 => 'divisions',
            'presenter'             => \Bixo\Company\Repositories\Presenter\DivisionsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'office_id',  'description',  'manager_id',  'user_type',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/divisions',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Company',
            'module'    => 'Divisions',
        ],

    ],
    'departments'       => [
        'model' => [
            'model'                 => \Bixo\Company\Models\Departments::class,
            'table'                 => 'departments',
            'presenter'             => \Bixo\Company\Repositories\Presenter\DepartmentsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'division_id',  'name',  'description',  'manager_id',  'user_type',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/departments',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Company',
            'module'    => 'Departments',
        ],

    ],
    'benefits'       => [
        'model' => [
            'model'                 => \Bixo\Company\Models\Benefits::class,
            'table'                 => 'benefits',
            'presenter'             => \Bixo\Company\Repositories\Presenter\BenefitsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'name',  'description',  'user_type',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/benefits',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Company',
            'module'    => 'Benefits',
        ],

    ],
    'subdivisions'       => [
        'model' => [
            'model'                 => \Bixo\Company\Models\Subdivisions::class,
            'table'                 => 'subdivisions',
            'presenter'             => \Bixo\Company\Repositories\Presenter\SubdivisionsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'ref',  'branch_id',  'department_id',  'division_id',  'name',  'description',  'customer_type',  'manager_id',  'notification_to',  'subdivision_users',  'user_type',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/subdivisions',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Company',
            'module'    => 'Subdivisions',
        ],

    ],
];
