<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCompaniesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: companies
         */
        Schema::create('companies', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('website_url', 80)->nullable();
            $table->string('active_employees', 20)->nullable();
            $table->string('industry', 50)->nullable();
            $table->string('contact_email', 50)->nullable();
            $table->string('contact_address', 80)->nullable();
            $table->string('contact_phone', 50)->nullable();
            $table->string('currency', 20)->nullable();
            $table->time('work_hour_start')->nullable();
            $table->time('work_hour_end')->nullable();
            $table->date('start_date_leave_cycle')->nullable();
            $table->tinyInteger('ext_dependants')->nullable();
            $table->tinyInteger('spon_dependants')->nullable();
            $table->text('logo')->nullable();
            $table->integer('paid_leave_year')->nullable();
            $table->integer('sick_leave_year')->nullable();
            $table->integer('maternity_leave_year')->nullable();
            $table->integer('paternity_leave_year')->nullable();
            $table->string('work_week_start', 20)->nullable();
            $table->string('work_week_end', 20)->nullable();
            $table->integer('carried_forward')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('companies');
    }
}
