<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDepartmentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: departments
         */
        Schema::create('departments', function ($table) {
            $table->increments('id');
            $table->integer('division_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->text('description')->nullable();
            $table->integer('manager_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('departments');
    }
}
