<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSubdivisionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: subdivisions
         */
        Schema::create('subdivisions', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('division_id')->nullable();
            $table->string('name', 200)->nullable();
            $table->text('description')->nullable();
            $table->string('customer_type', 50)->nullable();
            $table->integer('manager_id')->nullable();
            $table->integer('notification_to')->nullable();
            $table->text('subdivision_users')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('subdivisions');
    }
}
