<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('company::companies.name') !!} <small> {!! trans('app.manage') !!} {!! trans('company::companies.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('company::companies.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='company-companies-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('company/companies')!!}">{!! trans('company::companies.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('company/companies?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('company/companies?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('company/companies/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('company::admin.companies.partial.actions')
                    -->
                    @include('company::admin.companies.partial.filter')
                    @include('company::admin.companies.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="company-companies-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="company-companies-check-all"></th>
                        <th data-field="name">{!! trans('company::companies.label.name')!!}</th>
                    <th data-field="website_url">{!! trans('company::companies.label.website_url')!!}</th>
                    <th data-field="active_employees">{!! trans('company::companies.label.active_employees')!!}</th>
                    <th data-field="industry">{!! trans('company::companies.label.industry')!!}</th>
                    <th data-field="contact_email">{!! trans('company::companies.label.contact_email')!!}</th>
                    <th data-field="contact_address">{!! trans('company::companies.label.contact_address')!!}</th>
                    <th data-field="contact_phone">{!! trans('company::companies.label.contact_phone')!!}</th>
                    <th data-field="currency">{!! trans('company::companies.label.currency')!!}</th>
                    <th data-field="work_hour_start">{!! trans('company::companies.label.work_hour_start')!!}</th>
                    <th data-field="work_hour_end">{!! trans('company::companies.label.work_hour_end')!!}</th>
                    <th data-field="start_date_leave_cycle">{!! trans('company::companies.label.start_date_leave_cycle')!!}</th>
                    <th data-field="ext_dependants">{!! trans('company::companies.label.ext_dependants')!!}</th>
                    <th data-field="spon_dependants">{!! trans('company::companies.label.spon_dependants')!!}</th>
                    <th data-field="logo">{!! trans('company::companies.label.logo')!!}</th>
                    <th data-field="paid_leave_year">{!! trans('company::companies.label.paid_leave_year')!!}</th>
                    <th data-field="sick_leave_year">{!! trans('company::companies.label.sick_leave_year')!!}</th>
                    <th data-field="maternity_leave_year">{!! trans('company::companies.label.maternity_leave_year')!!}</th>
                    <th data-field="paternity_leave_year">{!! trans('company::companies.label.paternity_leave_year')!!}</th>
                    <th data-field="work_week_start">{!! trans('company::companies.label.work_week_start')!!}</th>
                    <th data-field="work_week_end">{!! trans('company::companies.label.work_week_end')!!}</th>
                    <th data-field="carried_forward">{!! trans('company::companies.label.carried_forward')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#company-companies-entry', '{!!guard_url('company/companies/0')!!}');
    oTable = $('#company-companies-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('company/companies') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'name'},
            {data :'website_url'},
            {data :'active_employees'},
            {data :'industry'},
            {data :'contact_email'},
            {data :'contact_address'},
            {data :'contact_phone'},
            {data :'currency'},
            {data :'work_hour_start'},
            {data :'work_hour_end'},
            {data :'start_date_leave_cycle'},
            {data :'ext_dependants'},
            {data :'spon_dependants'},
            {data :'logo'},
            {data :'paid_leave_year'},
            {data :'sick_leave_year'},
            {data :'maternity_leave_year'},
            {data :'paternity_leave_year'},
            {data :'work_week_start'},
            {data :'work_week_end'},
            {data :'carried_forward'},
        ],
        "pageLength": 25
    });

    $('#company-companies-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#company-companies-list').DataTable().row( this ).data();
        $('#company-companies-entry').load('{!!guard_url('company/companies')!!}' + '/' + d.id);
    });

    $('#company-companies-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#company-companies-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#company-companies-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#company-companies-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>