<?php

namespace Bixo\Company\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Companies policy
        'Bixo\Company\Models\Companies' => \Bixo\Company\Policies\CompaniesPolicy::class,// Bind Offices policy
        'Bixo\Company\Models\Offices' => \Bixo\Company\Policies\OfficesPolicy::class,// Bind Divisions policy
        'Bixo\Company\Models\Divisions' => \Bixo\Company\Policies\DivisionsPolicy::class,// Bind Departments policy
        'Bixo\Company\Models\Departments' => \Bixo\Company\Policies\DepartmentsPolicy::class,// Bind Benefits policy
        'Bixo\Company\Models\Benefits' => \Bixo\Company\Policies\BenefitsPolicy::class,// Bind Subdivisions policy
        'Bixo\Company\Models\Subdivisions' => \Bixo\Company\Policies\SubdivisionsPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
