<?php

namespace Bixo\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompaniesTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Company\Models\Companies $companies)
    {
        return [
            'id'                => $companies->getRouteKey(),
            'key'               => [
                'public'    => $companies->getPublicKey(),
                'route'     => $companies->getRouteKey(),
            ], 
            'name'              => $companies->name,
            'website_url'       => $companies->website_url,
            'active_employees'  => $companies->active_employees,
            'industry'          => $companies->industry,
            'contact_email'     => $companies->contact_email,
            'contact_address'   => $companies->contact_address,
            'contact_phone'     => $companies->contact_phone,
            'currency'          => $companies->currency,
            'work_hour_start'   => $companies->work_hour_start,
            'work_hour_end'     => $companies->work_hour_end,
            'start_date_leave_cycle' => $companies->start_date_leave_cycle,
            'ext_dependants'    => $companies->ext_dependants,
            'spon_dependants'   => $companies->spon_dependants,
            'logo'              => $companies->logo,
            'paid_leave_year'   => $companies->paid_leave_year,
            'sick_leave_year'   => $companies->sick_leave_year,
            'maternity_leave_year' => $companies->maternity_leave_year,
            'paternity_leave_year' => $companies->paternity_leave_year,
            'work_week_start'   => $companies->work_week_start,
            'work_week_end'     => $companies->work_week_end,
            'carried_forward'   => $companies->carried_forward,
            'user_id'           => $companies->user_id,
            'user_type'         => $companies->user_type,
            'deleted_at'        => $companies->deleted_at,
            'url'               => [
                'public'    => trans_url('company/'.$companies->getPublicKey()),
                'user'      => guard_url('company/companies/'.$companies->getRouteKey()),
            ], 
            'status'            => trans('app.'.$companies->status),
            'created_at'        => format_date($companies->created_at),
            'updated_at'        => format_date($companies->updated_at),
        ];
    }
}