<?php

namespace Bixo\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DepartmentsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Company\Models\Departments $departments)
    {
        return [
            'id'                => $departments->getRouteKey(),
            'key'               => [
                'public'    => $departments->getPublicKey(),
                'route'     => $departments->getRouteKey(),
            ], 
            'division_id'       => $departments->division_id,
            'name'              => $departments->name,
            'description'       => $departments->description,
            'manager_id'        => $departments->manager_id,
            'user_type'         => $departments->user_type,
            'user_id'           => $departments->user_id,
            'deleted_at'        => $departments->deleted_at,
            'url'               => [
                'public'    => trans_url('company/'.$departments->getPublicKey()),
                'user'      => guard_url('company/departments/'.$departments->getRouteKey()),
            ], 
            'status'            => trans('app.'.$departments->status),
            'created_at'        => format_date($departments->created_at),
            'updated_at'        => format_date($departments->updated_at),
        ];
    }
}