<?php

namespace Bixo\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DivisionsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Company\Models\Divisions $divisions)
    {
        return [
            'id'                => $divisions->getRouteKey(),
            'key'               => [
                'public'    => $divisions->getPublicKey(),
                'route'     => $divisions->getRouteKey(),
            ], 
            'office_id'         => $divisions->office_id,
            'description'       => $divisions->description,
            'manager_id'        => $divisions->manager_id,
            'user_type'         => $divisions->user_type,
            'user_id'           => $divisions->user_id,
            'deleted_at'        => $divisions->deleted_at,
            'url'               => [
                'public'    => trans_url('company/'.$divisions->getPublicKey()),
                'user'      => guard_url('company/divisions/'.$divisions->getRouteKey()),
            ], 
            'status'            => trans('app.'.$divisions->status),
            'created_at'        => format_date($divisions->created_at),
            'updated_at'        => format_date($divisions->updated_at),
        ];
    }
}