<?php

namespace Bixo\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OfficesTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Company\Models\Offices $offices)
    {
        return [
            'id'                => $offices->getRouteKey(),
            'key'               => [
                'public'    => $offices->getPublicKey(),
                'route'     => $offices->getRouteKey(),
            ], 
            'company_id'        => $offices->company_id,
            'name'              => $offices->name,
            'description'       => $offices->description,
            'address'           => $offices->address,
            'country_id'        => $offices->country_id,
            'manager_Id'        => $offices->manager_Id,
            'user_type'         => $offices->user_type,
            'user_id'           => $offices->user_id,
            'deleted_at'        => $offices->deleted_at,
            'url'               => [
                'public'    => trans_url('company/'.$offices->getPublicKey()),
                'user'      => guard_url('company/offices/'.$offices->getRouteKey()),
            ], 
            'status'            => trans('app.'.$offices->status),
            'created_at'        => format_date($offices->created_at),
            'updated_at'        => format_date($offices->updated_at),
        ];
    }
}