<?php

namespace Bixo\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubdivisionsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Company\Models\Subdivisions $subdivisions)
    {
        return [
            'id'                => $subdivisions->getRouteKey(),
            'key'               => [
                'public'    => $subdivisions->getPublicKey(),
                'route'     => $subdivisions->getRouteKey(),
            ], 
            'ref'               => $subdivisions->ref,
            'branch_id'         => $subdivisions->branch_id,
            'department_id'     => $subdivisions->department_id,
            'division_id'       => $subdivisions->division_id,
            'name'              => $subdivisions->name,
            'description'       => $subdivisions->description,
            'customer_type'     => $subdivisions->customer_type,
            'manager_id'        => $subdivisions->manager_id,
            'notification_to'   => $subdivisions->notification_to,
            'subdivision_users' => $subdivisions->subdivision_users,
            'user_type'         => $subdivisions->user_type,
            'user_id'           => $subdivisions->user_id,
            'deleted_at'        => $subdivisions->deleted_at,
            'url'               => [
                'public'    => trans_url('company/'.$subdivisions->getPublicKey()),
                'user'      => guard_url('company/subdivisions/'.$subdivisions->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subdivisions->status),
            'created_at'        => format_date($subdivisions->created_at),
            'updated_at'        => format_date($subdivisions->updated_at),
        ];
    }
}